Package Gnumed :: Package business :: Module gmOrganization |
[frames] | no frames]

# Module gmOrganization

source code

Organization classes

author: Karsten Hilbert et al

License: GPL

Classes
| cOrg
| cOrgUnit

Functions
create_org_category(category=None, link_obj=None) | source code
org_exists(organization=None, category=None, link_obj=None) | source code
create_org(organization=None, category=None, link_obj=None) | source code
delete_org(organization=None) | source code
get_orgs(order_by=None, return_pks=False) | source code
create_org_unit(pk_organization=None, unit=None, link_obj=None) | source code
delete_org_unit(unit=None) | source code
get_org_units(order_by=None, org=None, return_pks=False) | source code
get_comm_channels_data_for_org_ids(idList) gets comm_channels for a list of org_id. | source code
get_address_data_for_org_ids(idList) gets addresses for a list of valid id values for orgs. | source code
get_org_data_for_org_ids(idList) for a given list of org id values , returns a map of id_org vs. | source code

Imports: sys, logging, gmPG2, gmTools, gmBusinessDBObject, gmDemographicRecord

Function Details

### get_comm_channels_data_for_org_ids(idList) | source code
gets comm_channels for a list of org_id. returns a map keyed by org_id with lists of comm_channel data (url, type). this allows a single fetch of comm_channel data for multiple orgs

### get_address_data_for_org_ids(idList) | source code
gets addresses for a list of valid id values for orgs. returns a map keyed by org_id with the address data

### get_org_data_for_org_ids(idList) | source code
for a given list of org id values , returns a map of id_org vs. org attributes: description, id_category